Subject: Re: [Simple] Partial Publication of elements with more than oneinstance possible

From: "Smyth, Colm (Colm)" <[email-masked]>
Date: Tue, 2 Jun 2009 13:56:31 +0100

Hi Pankaj,

Many PIDF elements (including timed-status, but see Table 1 in RPID for
a longer list) can be distinguished by their from/until attributes, but
there is nothing to preclude peer elements having overlapping or even
identical time ranges.

As a result, timed-status has (and I believe requires) no guaranteed
unique identifier within the model; for operations that require one, you
can use XPath.

All the best,
Colm Smyth
Lead/Architect - Avaya Aura Presence Services | Unified Communications

-----Original Message-----
From: Pankaj Munjal [mailto:[email-masked]] 
Sent: 01 June 2009 05:53
To: Smyth, Colm (Colm)
Cc: simple
Subject: Re: [Simple] Partial Publication of elements with more than
oneinstance possible

Hello Colm,

Thanks for the clarification.
For <note> and <display-name> xml:lang can be used.
But how about <timed-status> element?
According to RFC 4481, Section 3:
"More than one such element MAY appear within   a PIDF <tuple> element."

In this case, what shall be the unique identifier for any instance of
"timed-status"?

Regards,
Pankaj

On 3/12/09, Smyth, Colm (Colm) <[email-masked]> wrote:
> Hi Panjaj,
>
> Each instance of <note> and <display-name> is distinguished by a 
> locale (xml:lang).
>
> All the best,
> Colm Smyth
> Lead/Architect - Avaya Communication Manager <NG> Presence Server | 
> Unified Communications AVAYA | [email-masked] | +353 1 656 7843 
> (x37843)
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Pankaj Munjal
> Sent: 12 March 2009 06:15
> To: simple
> Subject: [Simple] Partial Publication of elements with more than 
> oneinstance possible
>
> Hello all,
>
> According to the Presence RFCs, there can be a few elements like 
> <note>, <cipid>-<display_name> that can have multiple entries.
> However, they don't have ids associated with them to identify the 
> instances.
>
> If my client is using partial publish to change values of one of such 
> instances, then which instance shall be updated on the Server?
> (Assuming that my initial PUBLISH had more than one instance for such
> field)
>
> Is this scenario documented in some RFC/draft?
>
> Kindly suggest!
>
> Regards,
> Pankaj
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/simple
>

--
All the desirable things in life are either illegal, expensive,
fattening, or married to someone else!!